For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETList tariffs
        • POSTCreate tariff
        • GETList an organization's tariffs
        • PUTAssign a tariff
        • DELRemove an assigned tariff
        • GETTariff details
        • DELDelete a tariff
        • PATCHUpdate tariff
        • GETList tariff statuses
        • GETList ratezone statuses
        • GETList tariff ratezones
        • POSTCreate tariff ratezone
        • DELDelete tariff ratezone
        • PATCHUpdate tariff ratezone
        • DELDelete tariff ratezone
        • PUTAssign operator to tariff ratezone coverage
        • DELDelete operator from tariff ratezone coverage
        • POSTCreate ratezone rate
        • DELDelete ratezone rate
        • PUTAssign PDP context definition to tariff
        • DELDelete PDP context definition from tariff
LogoLogo
Request featuresContact support
API ReferenceTariffs

Tariff details

GET
https://cdn.emnify.net/api/v1/tariff/:tariff_id
GET
/api/v1/tariff/:tariff_id
$curl https://cdn.emnify.net/api/v1/tariff/tariff_id \
> -H "Authorization: Bearer <token>"
200Tariffs_TariffByIdGet_example
1{
2 "id": 3,
3 "name": "Tariff for M2M Europe",
4 "description": "M2M Europe: Data+SMS",
5 "created": "2019-01-10T09:36:58.000Z",
6 "default_sms_mt_rate": 0.5,
7 "default_sms_mo_rate": 0.4,
8 "sim_issued_rate": 0.1,
9 "sim_activated_rate": 0.2,
10 "sim_suspended_rate": 0.3,
11 "sim_activation_rate": 0.6,
12 "sim_reactivation_rate": 0.8,
13 "sim_suspension_rate": 0.7,
14 "sim_termination_rate": 0.5,
15 "used_count": 2,
16 "assigned_count": 1,
17 "status": {
18 "description": "Active",
19 "id": 1
20 },
21 "currency": {
22 "code": "EUR",
23 "symbol": "€",
24 "id": 1
25 },
26 "data_blocksize": {
27 "id": 10,
28 "octets": 1,
29 "description": "exact"
30 },
31 "data_throttle": {
32 "id": 9,
33 "octets": 256000,
34 "description": "256 kbit/s"
35 },
36 "pdp_context_definition": [
37 {
38 "id": 32,
39 "apn": "internet.test.org",
40 "default": true
41 }
42 ]
43}
Returns tariff specified by id.
Was this page helpful?
Previous

Remove an assigned tariff

Next

Delete a tariff

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

tariff_idstringRequired

Response

Success
idinteger
namestring
descriptionstring
createdstring
default_sms_mt_ratedouble
default_sms_mo_ratedouble
sim_issued_ratedouble
sim_activated_ratedouble
sim_suspended_ratedouble
sim_activation_ratedouble
sim_reactivation_ratedouble
sim_suspension_ratedouble
sim_termination_ratedouble
used_countinteger
assigned_countinteger
statusobject
currencyobject
data_blocksizeobject
data_throttleobject
pdp_context_definitionlist of objects
publicboolean
tariff_categoryobject